%define module  PQueue
%define version 0.2
%define release %mkrel 8

Summary: 	%{module} module for python
Name: 		python-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		Development/Python
Source: 	%{module}-%{version}.tar.bz2
Patch:		%{name}-0.2.lib64.patch
Url:		http://www.csse.monash.edu.au/hons/projects/1999/Andrew.Snare
BuildRequires:	python-devel
BuildRequires:	autoconf2.1
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
This C extension implements a priority-queue object using a fibonacci
heap as the underlying data structure.

%prep
%setup -q -n %{module}
%patch -p 1

%build
autoconf-2.13
%configure
%make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}/python%{pyver}/site-packages
%makeinstall
chmod 755 %{buildroot}%{_libdir}/python%{pyver}/site-packages/pqueuemodule.so

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%py_platsitedir/*




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2-8mdv2008.1
+ Revision: 136456
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-8mdv2007.0
+ Revision: 96530
- Rebuild against new python
- Import python-PQueue

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-7mdv2007.0
- Rebuild

* Wed Aug 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-6mdk
- fix x86_64 build 
- %%mkrel
- spec cleanup

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.2-5mdk
- Rebuild for new python

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2-4mdk 
- fixed perms

